Patch to make it possible to toggle contrib on CDs
Hi, I've made a patch which allows one to build a CD even without
contrib. Should I commit this?
cvs server: Diffing .
Index: CONF.sh
===================================================================
RCS file: /cvs/debian-boot/debian-cd/CONF.sh,v
retrieving revision 1.30
diff -u -r1.30 CONF.sh
--- CONF.sh 12 Jul 2002 06:12:37 -0000 1.30
+++ CONF.sh 6 Dec 2002 03:18:55 -0000
@@ -6,6 +6,7 @@
unset NONUS || true
unset FORCENONUSONCD1 || true
unset NONFREE || true
+unset CONTRIB || true
unset EXTRANONFREE || true
unset LOCAL || true
unset LOCALDEBS || true
@@ -81,6 +82,9 @@
# Do I want to have NONFREE merged in the CD set
# export NONFREE=1
+# Do I want to have CONTRIB merged in the CD set
+# export CONTRIB=1
+
# Do I want to have NONFREE on a separate CD (the last CD of the CD set)
# WARNING: Don't use NONFREE and EXTRANONFREE at the same time !
# export EXTRANONFREE=1
Index: tools/apt-selection
===================================================================
RCS file: /cvs/debian-boot/debian-cd/tools/apt-selection,v
retrieving revision 1.15
diff -u -r1.15 apt-selection
--- tools/apt-selection 10 Oct 2002 12:56:48 -0000 1.15
+++ tools/apt-selection 6 Dec 2002 03:22:39 -0000
@@ -28,10 +28,11 @@
-o APT::Cache::AllVersions=0 \
-o APT::Architecture=$ARCH "
+sections=main
if [ "${NONFREE:-0}" != "0" -o "${EXTRANONFREE:-0}" != "0" ]; then
- sections="main contrib non-free"
-else
- sections="main contrib"
+ sections="$sections non-free"
+elif [ "${CONTRIB:-0}" != "0" ]; then
+ sections="$sections contrib"
fi
# Check for the necessary dirs and files ...
Index: tools/scanpackages
===================================================================
RCS file: /cvs/debian-boot/debian-cd/tools/scanpackages,v
retrieving revision 1.23
diff -u -r1.23 scanpackages
--- tools/scanpackages 10 Oct 2002 12:56:48 -0000 1.23
+++ tools/scanpackages 6 Dec 2002 03:22:39 -0000
@@ -13,19 +13,19 @@
PREFIX=`echo $2 | sed "s?$BDIR/CD?$BDIR/?"`
+SECTIONS="main"
+SECTIONSNONUS="non-US/main"
if [ "${NONFREE:-0}" != "0" -o "${EXTRANONFREE:-0}" != "0" ]; then
- SECTIONS="main contrib non-free"
- SECTIONSNONUS="non-US/main non-US/contrib non-US/non-free"
-else
- SECTIONS="main contrib"
- SECTIONSNONUS="non-US/main non-US/contrib"
+ SECTIONS="${SECTIONS} non-free"
+ SECTIONSNONUS="${SECTIONSNONUS} non-US/non-free"
+elif [ "${CONTRIB:-0}" != "0" ]; then
+ SECTIONS="${SECTIONS} contrib"
+ SECTIONSNONUS="${SECTIONSNONUS} non-US/contrib"
fi
if [ -n "$LOCAL" ]; then
SECTIONS="$SECTIONS local"
fi
-
-
cd "$2"
--
Tollef Fog Heen ,''`.
UNIX is user friendly, it's just picky about who its friends are : :' :
`. `'
`-
Reply to: